Subject: Re: [mobile-ip] [Q] Sending a packet to a BUed MN

From: "Charles E. Perkins" <[email-masked]>
Date: Sun, 24 Jun 2001 15:57:59 -0700

Hello Jiwoong,

Jiwoong Lee wrote:
> 
> All,
> 
> MobileIPv6 recommneds the use of a routing header to send a packet to a
> Binding update requested mobile node. Because the document does not specify
> the use of routing header type, the correspondent node SHOULD be able to
> generate a different kind of routing header type which is NOT zero. I guess
> this statement is omitted intentionally.

Yes, I think this is right.

>                                           But why ? And what if the
> correspondent node wants loose source routing that is not for Mobile IP
> routing optimization and direct forwarding to the mobile node ?

If the correspondent node wants to use loose source routing for
some reason not related to Mobile IP, then I think that should
still work fine.   Do you see any reason why it would not?

> I believe section 8.9 of Mobile IPv6-13 should be reinforced tightly.

I don't remember previous discussion on this point, but I reckon
that the intention was to allow other kinds of source routing
headers to work just as well as type-0 routing headers.  If someone
specifies a routing header that has some property causing the
care-of address not to work any longer, which is difficult for
me to imagine (but not impossible), then I reckon it would be
the work of that future specification to make the determination
about how the system should react when using Mobile IP.

This topic engendered quite a bit of discussion on the ipng mailing
list.  I'm catching up, but I don't believe that there are Mobile IPv6
action items directly related to that discussion.

Regards,
Charlie P.